<?php

include('../../functions.php');

print "Eingeloeste Punkte:\n";
for ($year = 2009; $year < 2013; $year++)
{
  $punkte = getPunkteGesamt($year);
  print "$year: $punkte\n";
}

function getPunkteGesamt($year)
{
    $startdatum = mktime(0,0,0,1,1,$year);
    $enddatum = mktime(0,0,0,1,1,$year+1);
    $query = "SELECT sum(wert) AS punkte
        FROM kontobewegungen
        WHERE datum >= $startdatum
        AND datum <= $enddatum
        AND wert < 0
        AND beschreibung NOT LIKE 'Punkteverfall%'";
    $result = dbQuery($query)
        or die ("Kann query nicht ausführen: " . dbError());
    $row = dbFetchRow($result, MYSQL_ASSOC);
    $punkte = $row['punkte'];
    return abs($punkte);
}
